import { NodePart } from "lit-html";
import { ITranslateConfig, LangChangedDirectiveCallback, Values, ValuesCallback } from "./model";
export declare const partCache: Map<NodePart, LangChangedDirectiveCallback>;
/**
 * A lit directive that invokes the callback when the language changes.
 * @param key
 * @param values
 * @param listen
 */
export declare const langChanged: (cb: LangChangedDirectiveCallback) => (part: NodePart) => void;
/**
 * A lit directive that updates the translation when the language changes.
 * @param key
 * @param values
 * @param config
 */
export declare const translate: (key: string, values?: Values | ValuesCallback | undefined, config?: ITranslateConfig | undefined) => (part: NodePart) => void;
